Bug 1657539 - Recent Fedora kernels will not boot XEN (4.19.6-300.fc29.x86_64 does not boot XEN)
Summary: Recent Fedora kernels will not boot XEN (4.19.6-300.fc29.x86_64 does not boot...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-09 19:57 UTC by Lloyd Kvam
Modified: 2019-01-18 12:39 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-18 12:39:19 UTC


Attachments (Terms of Use)
DomU console output of crashing Fedora kernels 4.19.8 and 4.19.5 (33.55 KB, text/plain)
2018-12-14 12:15 UTC, Markus Schönhaber
no flags Details

Description Lloyd Kvam 2018-12-09 19:57:35 UTC
Description of problem:
XEN will not boot using recent kernels 4.19.5-200 and 4.19.6.300.fc29.x86_64

Version-Release number of selected component (if applicable):


How reproducible:
Every boot. I have locked my boot to kernel 4.19.4-200


Steps to Reproduce:
1. Just reboot system with saved_entry=Fedora, with Xen hypervisor
 
2.
3.

Actual results: System will reboot continuously because of the failure. The error message is file /grub2/i386-pc/module2.mod not found BUT THAT IS SPURIOUS. I get that error even with the kernels that boot properly.


Expected results:
Boot into kernel with XEN


Additional info:

Comment 1 Michael Young 2018-12-13 23:10:00 UTC
Are you sure this is a grub issue? There is a known bug in the kernel when booting xen (Dom0 or PV DomU) from 4.19.5 onwards. There is a proposed patch (see https://lore.kernel.org/lkml/20181130202328.65359-2-kirill.shutemov@linux.intel.com/ and https://lists.xenproject.org/archives/html/xen-devel/2018-11/msg03313.html ) but it hasn't made it into the main line kernels yet.

Comment 2 Lloyd Kvam 2018-12-14 01:41:20 UTC
(In reply to Michael Young from comment #1)
> Are you sure this is a grub issue? There is a known bug in the kernel when
> booting xen (Dom0 or PV DomU) from 4.19.5 onwards. There is a proposed patch
> (see
> https://lore.kernel.org/lkml/20181130202328.65359-2-kirill.shutemov@linux.
> intel.com/ and
> https://lists.xenproject.org/archives/html/xen-devel/2018-11/msg03313.html )
> but it hasn't made it into the main line kernels yet.

You are correct. I changed it to kernel. I was having difficulty with the user interface when I filed the bug.

Thanks for the links.

Comment 3 Markus Schönhaber 2018-12-14 11:46:54 UTC
(In reply to Michael Young from comment #1)
> Are you sure this is a grub issue? There is a known bug in the kernel when
> booting xen (Dom0 or PV DomU) from 4.19.5 onwards. There is a proposed patch
> (see
> https://lore.kernel.org/lkml/20181130202328.65359-2-kirill.shutemov@linux.
> intel.com/ and
> https://lists.xenproject.org/archives/html/xen-devel/2018-11/msg03313.html )
> but it hasn't made it into the main line kernels yet.

For me, in a *DomU*, Fedora kernels from 4.19.5 onwards crash at boot, while 4.19.5 (and up) built from upstream sources boot the same VM just fine. Therfore I'm not sure if this is really an upstream issue. To me it seems rather Fedora-specific.

Comment 4 Markus Schönhaber 2018-12-14 12:15:40 UTC
Created attachment 1514334 [details]
DomU console output of crashing Fedora kernels 4.19.8 and 4.19.5

Comment 5 David Ruetti 2019-01-09 12:50:52 UTC
The issue still exists in kernels 4.19.10-300 and current 4.19.13-300

Comment 6 Michael Young 2019-01-09 13:37:42 UTC
(In reply to d_ruetti from comment #5)
> The issue still exists in kernels 4.19.10-300 and current 4.19.13-300

Yes, the patch hasn't made it into the upstream 4.19 kernel branch yet. It is in the 4.20 branch so it should work after the F29 rebase to 4.20 which should happen in the next couple of weeks (and a bit longer for F28).

Comment 7 Michael Young 2019-01-11 08:30:00 UTC
There is now a kernel-4.20.1-200.fc29 build available in koji https://koji.fedoraproject.org/koji/buildinfo?buildID=1178656 which fixes the problem for me under early testing. I still expect it will be a week or so before it (or a later build) reaches the main repositories.

Comment 8 W. Michael Petullo 2019-01-12 10:38:15 UTC
The kernel from comment #7 seems to work. Thank you, Michael!

Comment 9 David Ruetti 2019-01-17 23:29:29 UTC
The native 4.19.15-300 kernel boots again normally. The patch was recently ported to the upstream 4.19 kernel branch.

Comment 10 Justin M. Forbes 2019-01-18 12:39:19 UTC
Thanks for verifying.


Note You need to log in before you can comment on or make changes to this bug.